## oprofile 0.9.3-1~bpo40+1

=== debian/changelog ===
oprofile (0.9.3-1~bpo40+1) etch-backports; urgency=low

  * etch backport: revert armel arch and versioned binutils-dev build-dep.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 29 Oct 2007 19:59:35 -0400

oprofile (0.9.3-1) unstable; urgency=low

  * Update to latest upstream.
  * Convert packaging so that it now uses quilt
  * Remove invocation of autogen.sh -- no longer necessary to do this
  * Closes: bug#417472 -- should no longer FTBS with g++ 4.3
  * Closes: bug#424478 -- acknowledge NMU
  * Closes: bug#434003 -- new upstream, armel support
  * Closes: bug#436697 -- simplified packaging as suggested

 -- Al Stone <ahs3@debian.org>  Sun, 09 Sep 2007 18:40:25 -0600

oprofile (0.9.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Closes: bug#424478 -- Force rebuild with newer binutils, to let orprofile
    understand binaries with --hash-style=gnu.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 31 Aug 2007 18:18:56 +0200

oprofile (0.9.2-4) unstable; urgency=low

  * Closes: bug#411286 -- does not work on AMD64, 2.6.19.2 kernel (used
    the patch from bug report).  From Philippe Coval <rzr@users.sf.net>.
  * Closes: bug#410827 -- clean out some bashisms (used the patch from the
    bug report).  This applies the patches from 
    http://lkml.org/lkml/2006/11/22/170 and 
    http://lkml.org/lkml/2006/11/22/172 to make oprofile work on newer
    kernels.  From Jochen Voss <voss@debian.org>.
  
 -- Al Stone <ahs3@debian.org>  Fri, 16 Mar 2007 11:04:46 -0600

oprofile (0.9.2-3) unstable; urgency=low

  * Closes: bug#396749 -- FTBFS: no suitably configured kernel include tree
    found; ./configure needs --with-kernel-support, and not --without.
  * Closes: bug#398506 -- Shouldn't build depend on an unversioned automake;
    corrected dependency.

 -- Al Stone <ahs3@debian.org>  Sat, 18 Nov 2006 20:06:11 -0700

oprofile (0.9.2-2) unstable; urgency=low

  * Deprecating use of oprofile-source; this is only needed for 2.4
    kernels, and is no longer actively maintained.  The functionality
    provided is now included in Linux 2.6 kernels by default.
  * Closes: bug#394017 -- oprofile-source: Obsolete - please remove 
  * Closes: bug#392836 -- oprofile-source: fails to build
  * Closes: bug#395014 -- [PATCH] Make opcontrol work with bash (used
    the patch directly)

 -- Al Stone <ahs3@debian.org>  Sat, 28 Oct 2006 11:41:45 -0600

oprofile (0.9.2-1) unstable; urgency=low

  * Updated to latest upstream source. 
  * Closes: bug#387948 -- OProfile 0.9.2 has been released (request to
    update to latest source)
  * Closes: bug#380462 -- Support for core CPUs (added in this release)
  * Closes: bug#378285 -- missing Depends:binutils in debian/control
  * Since the prospect package no longer exists, remove all references
    to it.

 -- Al Stone <ahs3@debian.org>  Thu, 21 Sep 2006 21:38:42 -0600

oprofile (0.9.1-11) unstable; urgency=low

  * Closes: bug#376879 -- remove 'Recommends' for unavailable package
    oprofile-modules0.9
  * Update Debian Standards-Version.

 -- Al Stone <ahs3@debian.org>  Wed,  5 Jul 2006 18:04:01 -0600

oprofile (0.9.1-10) unstable; urgency=low

  * Closes: bug#357324 -- FTBFS with G++ 4.1: method definition was not in 
    proper enclosing namespace (NB: already fixed in upstream CVS HEAD)

 -- Al Stone <ahs3@debian.org>  Sun,  2 Apr 2006 20:24:49 -0600

oprofile (0.9.1-9) unstable; urgency=low

  * Closes: bug#352910 -- CVE-2006-0576: Untrusted search path vulnerability
    in opcontrol (re-used patch from CVS HEAD)

 -- Al Stone <ahs3@debian.org>  Fri, 17 Feb 2006 11:22:41 -0700

oprofile (0.9.1-8) unstable; urgency=low

  * Closes: bug#344665: minot typo in --start portion of opcontrol man
    page (#344667 is a duplicate of this bug and was merged with this one).

 -- Al Stone <ahs3@debian.org>  Thu, 29 Dec 2005 17:31:03 -0700

oprofile (0.9.1-7) unstable; urgency=low

  * Convert oprofile-source so it uses automake1.9 (instead of 1.7) 

 -- Al Stone <ahs3@debian.org>  Sun, 27 Nov 2005 17:30:36 -0700

oprofile (0.9.1-6) unstable; urgency=low

  * Closes: bug#340381: Cosmetic fix for oprofile.1 manpage 
  * Convert to newer automake (1.9)

 -- Al Stone <ahs3@debian.org>  Sun, 27 Nov 2005 14:59:50 -0700

oprofile (0.9.1-5) unstable; urgency=low

  * Closes: bug#332057: oprofile depends on debconf without | debconf-2.0
    alternate; blocks cdebconf transition 

 -- Al Stone <ahs3@debian.org>  Sat,  8 Oct 2005 12:48:50 -0600

oprofile (0.9.1-4) unstable; urgency=low

  * Closes: bug#328069 -- oprofile-common: Conflicts with old oprofile;
    added proper Replaces and Conflicts

 -- Al Stone <ahs3@debian.org>  Fri, 16 Sep 2005 19:31:04 -0600

oprofile (0.9.1-3) unstable; urgency=low

  * Update to latest standards version.
  * Update to latest libqt3-mt-dev.
  * The bug #300683 is closed by the existence of the 'oprofile-source'
    package.  If a 2.[24].x kernel is used, it will be necessary to build
    your own kernel module; 'oprofile-source' provides the module source.
    For 2.6.x kernels, the module is built by default and included in the
    standard Debian kernel images.  Hence, the goofy pbuilder change listed
    in the previous entry has been removed and the bug closed via another
    mechanism -- you need to build your own oprofile kernel modules.

 -- Al Stone <ahs3@debian.org>  Sat, 10 Sep 2005 13:59:27 -0600

oprofile (0.9.1-2) unstable; urgency=low

  * The 'oprofile-modules' package needed to have a proper Provides: for
    oprofile-modules0.9, not 0.8
  * Closes: bug#300683: package fails to build from source in a
    sane way; required adding all of the build process in
    debian/build-modules.sh.  As of this writing, this package
    can only be built with pbuilder (if dpkg-buildpackage is used,
    cdebootstrap fails for an as yet unknown reason).

 -- Al Stone <ahs3@debian.org>  Mon,  5 Sep 2005 15:19:43 -0600

oprofile (0.9.1-1) unstable; urgency=low

  * Update to latest upstream.

