=== debian/control ===
Source: oprofile
Section: devel
Priority: optional
Maintainer: Al Stone <ahs3@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev, qt3-dev-tools, g++ (>>3.3.1), quilt

Package: oprofile
Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips
Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
Depends: debconf | debconf-2.0, ${shlibs:Depends}
Replaces: oprofile-common
Suggests: oprofile-gui
Description: system-wide profiler for Linux systems
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.  Using OProfile also requires
 a kernel module, either contained in a separate package called
 'oprofile-modules' for 2.2 and 2.4 kernels, or for 2.6 kernels,
 the OProfile kernel module is part of the Linux kernel source and
 must be built from the 'kernel-source' package.
 .
 OProfile leverages the hardware performance counters of the x86 CPU and
 the PMU (Performance Monitoring Unit) of the ia64 CPU to enable profiling
 of a wide variety of interesting statistics, which can also be used for 
 basic time-spent profiling.  All code is profiled: hardware and software
 interrupt handlers, kernel modules, the kernel, shared libraries, and 
 applications (the only exception being the OProfile interrupt handler
 itself).  Note that different architectures can use different hardware 
 mechanisms to collect data.
 .
 OProfile is currently in alpha status; however it has proven stable over
 a large number of differing configurations. As always, there is no warranty.

Package: oprofile-gui
Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips
Replaces: oprofile
Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
Description: system-wide profiler for Linux systems (GUI components)
 This package contains only the GUI components of the oprofile package.
 This allows oprofile to be used on machines that require a much
 smaller footprint, or that do not wish to use an X Windows interface.
