## oprofile 0.9.3-1ubuntu1

=== debian/changelog ===
oprofile (0.9.3-1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Configuration file in /etc.
  * On powerpc configure --with-target=cell-be.
  * Import patches from the oprofile-0.9.3-4bsc rpm:
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Sep 2007 11:59:41 +0200

oprofile (0.9.2-4ubuntu1) gutsy; urgency=low

  * Move configuration file to /etc/oprofile, update documentation, and
    handle the migration in postinst and migrate any existing config on
    upgrades (LP: #125649).
  * DebianMaintainerField.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 14 Jul 2007 10:24:15 +0200
