## oprofile 0.9.3-1.1ubuntu2

=== debian/changelog ===
oprofile (0.9.3-1.1ubuntu2) hardy; urgency=low

  * Add LPIA architecture (LP: #182032)

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 24 Jan 2008 15:05:18 -0500

oprofile (0.9.3-1.1ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #179335), remaining changes:
    - Configuration file in /etc.
    - On powerpc configure --with-target=cell-be.
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.
  * debian/patches/opcontrol_bashisms:
    - fix bashisms in opcontrol script (LP: #172495)  

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 22 Dec 2007 09:53:22 +0000

oprofile (0.9.3-1.1) unstable; urgency=low

  * NMU
  * link libbfd static (closes: #446360)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 14 Dec 2007 01:26:31 +0900
