=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt, ppu-binutils [powerpc], automake1.9, autoconf
 
 Package: oprofile
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
 Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
 Depends: debconf | debconf-2.0, ${shlibs:Depends}
 Replaces: oprofile-common
@@ -35,7 +35,7 @@
  a large number of differing configurations. As always, there is no warranty.
 
 Package: oprofile-gui
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
 Replaces: oprofile
 Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
 Description: system-wide profiler for Linux systems (GUI components)
