=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,13 @@
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
 
+DEB_HOST_ARCH   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 BUILDDIR=$(CURDIR)/oprofile-0.9.3
+
+ifneq (,$(filter $(DEB_BUILD_ARCH), powerpc ppc64))
+  on_powerpc = yes
+endif
 
 unpack: unpack-stamp
 unpack-stamp:
@@ -37,8 +42,8 @@
 
 configure: config-stamp patch
 config-stamp:
-#	cd $(BUILDDIR) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
-	cd $(BUILDDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt3 --with-kernel-support 
+	cd $(BUILDDIR) && ACLOCAL=aclocal-1.9 AUTOMAKE=automake-1.9 ./autogen.sh
+	cd $(BUILDDIR) && ./configure --host=$(DEB_HOST_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-qt-includes=/usr/include/qt3 --with-kernel-support  $(if $(on_powerpc),--with-target=cell-be)
 	touch config-stamp
 
 build-arch: unpack-stamp patch-stamp configure build-arch-stamp
