## oprofile 0.9.3-1.1ubuntu2netbook1

=== debian/changelog ===
oprofile (0.9.3-1.1ubuntu2netbook1) netbook-common; urgency=low

  * Rebuild for LPIA
  * Remove .hg, .hgtags from source tarball

 -- Steve Magoun <steve.magoun@canonical.com>  Mon, 23 Feb 2009 15:34:17 -0500
