## oprofile 0.9.3-2ubuntu2

=== debian/changelog ===
oprofile (0.9.3-2ubuntu2) jaunty; urgency=low

  * Rebuild with binutils-2.19.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Feb 2009 10:45:27 +0000

oprofile (0.9.3-2ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable (LP: #305919), remaining changes:
    - Configuration file in /etc.
    - On powerpc configure --with-target=cell-be.
    - Fix for seg fault in opreport when using --xml and --details.
    - Change for opcontrol.  Fix problem running on system using
      a network file system with different time base.
    - Change m4 file for SDK build process.
    - Add changes to allow profiling of code that the SPU runtime
      dynamically creates and runs on the stack.
  * Ubuntu changes dropped:
    - fix bashisms in opcontrol script, added in Debian
  * Re-add the Build-Depends that the Debian maintainer removed, they were 
    needed.
  * Added a patch to call open with three arguments to fix FTBFS.
  * Added a patch to link bfd dynamically.

 -- David Mandala <davidm@canonical.com>  Sat, 06 Dec 2008 22:50:11 -0800

oprofile (0.9.3-2) unstable; urgency=low

  * Closes: bug#415827 -- manpage corrected upstream so that all options are
    now unique
  * Update to latest Debian standards version.
  * Closes: bug#420815 -- find separate debug files in archive properly (patch
    applied)
  * Closes: bug#450607 -- oprof_start no longer links against libbfd.so (used
    patch from submitter)
  * Closes: bug#446360 -- similar problem with libbfd; the patch for 450607
    was more inclusive, though, so it also fixes this problem; thanks for the
    NMU, nonetheless.
  * Closes: bug#447797 -- remove bashisms from opcontrol (used patch from
    ubuntu)
  * Closes: bug#420760 -- cannot reproduce this problem in 0.9.3 (was reported
    with 0.9.2)
  * Closes: bug#422178 -- cannot reproduce this problem in 0.9.3 (was reported
    with 0.9.2)
  * Closes: bug#428299 -- latest Linux kernel (2.6.23-1 on dual core Intel) no
    longer shows this problem.
  * Closes: bug#424760 -- invalid arithmetic expression in opcontrol script
    replaced in newer versions
  * Closes: bug#456069 -- patched C++ files to accommodate changes in the
    header files for g++ 4.3

 -- Al Stone <ahs3@debian.org>  Sun, 10 Feb 2008 11:51:49 -0700
