=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt, ppu-binutils [powerpc], automake1.9, autoconf
 
 Package: oprofile
