## oprofile 0.9.3-2+lenny2

=== debian/changelog ===
oprofile (0.9.3-2+lenny2) oldstable-security; urgency=low

  * Non-maintainer upload by the Security Team.
  * Jamie Strandboge noticed an uncomplete fix for CVE-2011-1760 Closes: #624212

 -- Luciano Bello <luciano@debian.org>  Fri, 08 Jul 2011 21:11:54 -0300

oprofile (0.9.3-2+lenny1) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add patches by William Cohen to fix argument sanitation, CVE-2011-1760.
    This fixes the arbitrary command execution via opcontrol. (Closes: #624212)

 -- Luciano Bello <luciano@debian.org>  Sat, 21 May 2011 11:59:50 -0300
