=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: oprofile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Al Stone <ahs3@debian.org>
+Maintainer: Al Stone <ahs3@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt, ppu-binutils [powerpc], automake1.9, autoconf
+Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt
 
 Package: oprofile
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
 Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
 Depends: debconf | debconf-2.0, ${shlibs:Depends}
 Replaces: oprofile-common
@@ -35,7 +34,7 @@
  a large number of differing configurations. As always, there is no warranty.
 
 Package: oprofile-gui
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips lpia
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
 Replaces: oprofile
 Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
 Description: system-wide profiler for Linux systems (GUI components)
