## oprofile 0.9.3.1-osso1

=== debian/changelog ===
oprofile (0.9.3.1-osso1) unstable; urgency=low

  * Updating to upstream version 0.9.3
  * No longer apply oparchive-debug-dir patch, as 0.9.3
    includes the equivalent changes
  * Old armv11 patch was replaced by a smaller armv6-eventcounter-
    fix patch (upstream now has armv6 support; this patch just corrects
    a small bug in it)
  * Fixes: NB#65387

 -- Riku Voipio <riku@debian.org>  Wed,  3 Oct 2007 10:27:34 +0300

oprofile (0.9.2.99.1-osso5) unstable; urgency=low

  * Patched opcontrol to not use -s switch with kill, as Busybox version
    of kill does not support that
  * Fixes: NB#71145

 -- Riku Voipio <riku@debian.org>  Wed, 26 Sep 2007 17:03:32 +0300

oprofile (0.9.2.99.1-osso4) unstable; urgency=low

  * Opimport tool was not included in packaging, preventing oprofile-ui
    from working when server and the viewer were running on different
    architectures

 -- Riku Voipio <riku@debian.org>  Tue, 10 Jul 2007 16:41:14 +0300

oprofile (0.9.2.99.1-osso3) unstable; urgency=low

  * No actual functional changes; just providing a more proper changelog
    entry for a previous bugfix to make changelog parser to notice it
  * Fixes: NB#56788

 -- Riku Voipio <riku@debian.org>  Thu, 31 May 2007 10:45:57 +0300

oprofile (0.9.2.99.1-osso2) unstable; urgency=low

  * fix build dependecies (argh)

 -- Riku Voipio <riku@debian.org>  Thu, 24 May 2007 11:12:28 +0300

oprofile (0.9.2.99.1-osso1) unstable; urgency=low

  * Chinook release
  * cvs update, deleted patches: xml_callgraph.patch
  * oprofile_eabi.patch oparchive-list-files.patch
  * arm11.patch refreshed
  * Closes: NB#56788
  * 

 -- Riku Voipio <riku@debian.org>  Wed, 23 May 2007 14:24:30 +0300

oprofile (0.9.2.99-osso1) unstable; urgency=low

  * Repackage using quilt
  * Latest cvs snapshot
  * applied a range of patches for maemo
  * Fixes: NB#55709

 -- Riku Voipio <riku@debian.org>  Fri,  4 May 2007 16:55:47 +0300
