=== debian/control ===
--- 
+++ 
@@ -2,15 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Al Stone <ahs3@debian.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>> 4.0.0), xsltproc, docbook-xsl, libqt3-mt-dev, libpopt-dev, binutils-dev (>= 2.18~cvs20070812-1), qt3-dev-tools, g++ (>>3.3.1), quilt
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>> 4.0.0), libpopt-dev, binutils-dev, automake1.9, quilt
 
 Package: oprofile
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips armel
 Conflicts: oprofile-modules0.2, oprofile-modules0.3, oprofile-modules0.4, oprofile-modules0.5, oprofile-modules0.6, oprofile-modules0.7, oprofile-modules0.8
-Depends: debconf | debconf-2.0, ${shlibs:Depends}
-Replaces: oprofile-common
-Suggests: oprofile-gui
+Depends: oprofile-common, ${shlibs:Depends}
 Description: system-wide profiler for Linux systems
  OProfile is a performance profiling tool for Linux systems, capable
  of profiling all running code at low overhead.  It consists of a
@@ -33,12 +31,19 @@
  OProfile is currently in alpha status; however it has proven stable over
  a large number of differing configurations. As always, there is no warranty.
 
-Package: oprofile-gui
-Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm armel mips
+Package: oprofile-common
+Architecture: i386 ia64 alpha hppa powerpc sparc amd64 arm mips armel
 Replaces: oprofile
-Depends: debconf | debconf-2.0, oprofile, ${shlibs:Depends}
-Description: system-wide profiler for Linux systems (GUI components)
- This package contains only the GUI components of the oprofile package.
- This allows oprofile to be used on machines that require a much
- smaller footprint, or that do not wish to use an X Windows interface.
+Depends: ${shlibs:Depends}
+Description: system-wide profiler for Linux systems (command line components)
+ This package contains only the command line components of the
+ oprofile package.  This allows oprofile to be used on machines that
+ require a much smaller footprint, or that do not wish to use an X
+ Windows interface.
 
+Package: oprofile-common-dbg
+Architecture: any
+Depends: oprofile-common (= ${Source-Version})
+Description: Debug symbols for the oprofile-common binaries
+ If you want Debug.
+
