## oprofile 0.9.8

=== debian/changelog ===
oprofile (0.9.8-0ubuntu3) saucy; urgency=low

  * Add Aarch64 support, taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2013 13:35:54 +0200

oprofile (0.9.8-0ubuntu2) raring; urgency=low

  [ Antonio Rosales ]
  * Fix Haswell client support (LP: #1161279).
    - d/p/add_haswell_client_support.patch: Cherry picked fix from upstream VCS
      to add support for Haswell client event lists and model numbers.

  [ James Page ]
  * Fix FTBFS on powerpc architecture:
    - d/p/fix-ppc32.patch: Cherry picked fix from upstream VCS to ensure that
      libpfm is only used on ppc64 architectures. 

 -- Antonio Rosales <antonio.rosales@canonical.com>  Thu, 28 Mar 2013 02:27:04 -0500

oprofile (0.9.8-0ubuntu1) quantal; urgency=low

  [ Antonio Rosales ]
  * New upstream release (LP: #1039871).
    - Refreshed patches.
    - d/patches/arm-*: Dropped arm patches - included upstream.
    - d/patches/0005-add-back-error_if_not_basename.patch: Dropped 
      as fixed upstream.
    - d/patches/{000*,nomutable}.patch: Dropped all other upstream
      sourced patches as all are included in this release.
  * Switch to dpkg-source 3.0 (quilt) format:
    - d/control: Drop explicit BD on quilt
    - d/rules: Remove quilt rules and unpatch usage.
  * Add Changlog to specifically indicate upstream is now using 'git log'
    as dh was looking for a 'Changelog' file.

  [ James Page ]
  * Transition package to use qt4:
    - d/control: Switch qt3 BD's to qt4 equivalents.
    - d/control: Added new BD's on pkg-config and libx11-dev.
  * d/rules: Clear dependency_libs field in .la files.

 -- Antonio Rosales <antonio.rosales@canonical.com>  Thu, 04 Oct 2012 11:51:02 +0100

oprofile (0.9.6-1.3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Split out libopagent1 runtime library.
    - debian/oprofile.postinst: Really really make it work this time by
      adding the oprofile:oprofile system user and group as required for
      JIT support (see README_PACKAGERS)
    - Add documentation about vmlinux / linux-image-debug.ddeb.
    - debian/patches/arm-factor-out-armv7-common-architectural-events,
      debian/patches/arm-correct-usage-of-core-technology-for-v7-and-mpcore,
      debian/patches/arm-add-support-for-cortex-a9-events:
      ARMv7 cleanup and Cortex-A9 support, backported from
      http://article.gmane.org/gmane.linux.oprofile/8563.
    - Statically link libbfd.  (LP #588033)
  * SECURITY UPDATE: arbitrary file overwrite
    - 0005-add-back-error_if_not_basename.patch: readd error_if_not_basename()
      which was removed in 0003-Avoid-blindly-source-SETUP_FILE-with.patch

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 07 Jul 2011 11:28:06 -0500

oprofile (0.9.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622494).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 18:50:15 +0200

oprofile (0.9.6-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch by William Cohen to not use mutable for reference variable 
    (Closes: #625060)
  * Add patches by William Cohen to fix argument sanitation, CVE-2011-1760.
    This fixes the arbitrary command execution via opcontrol. (Closes: #624212)

 -- Luciano Bello <luciano@debian.org>  Fri, 20 May 2011 01:38:53 -0300

oprofile (0.9.6-1.1ubuntu2) natty; urgency=low

  * Build on ppc64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Feb 2011 19:54:14 +0000

oprofile (0.9.6-1.1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Split out libopagent1 runtime library.
    - debian/oprofile.postinst: Really really make it work this time by
      adding the oprofile:oprofile system user and group as required for
      JIT support (see README_PACKAGERS)
    - Add documentation about vmlinux / linux-image-debug.ddeb.
    - debian/patches/arm-factor-out-armv7-common-architectural-events,
      debian/patches/arm-correct-usage-of-core-technology-for-v7-and-mpcore,
      debian/patches/arm-add-support-for-cortex-a9-events:
      ARMv7 cleanup and Cortex-A9 support, backported from
      http://article.gmane.org/gmane.linux.oprofile/8563.
  * Statically link libbfd.  (LP: #588033)

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 11 Sep 2010 18:21:40 +0200

oprofile (0.9.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch by Yukiharu YABUKI to staticaly link against libbfd
   (Closes: #537744, #573905)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 22 Apr 2010 15:43:12 +0200

oprofile (0.9.6-1ubuntu10) maverick; urgency=low

  * Rebuild against latest binutils.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 25 Aug 2010 16:14:06 +0200

oprofile (0.9.6-1ubuntu9) maverick; urgency=low

  * Rebuild against latest binutils; bump build-dep to dep-wait on sparc.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 17 Jun 2010 23:36:56 +0200

oprofile (0.9.6-1ubuntu8) maverick; urgency=low

  * New patches, ARMv7 cleanup and Cortex-A9 support, backported from
    http://article.gmane.org/gmane.linux.oprofile/8563; LP: #591862.
    - arm-factor-out-armv7-common-architectural-events
    - arm-correct-usage-of-core-technology-for-v7-and-mpcore
    - arm-add-support-for-cortex-a9-events

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 17 Jun 2010 13:10:23 +0200

oprofile (0.9.6-1ubuntu7) maverick; urgency=low

  * Yet another no change rebuild for binutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 19:47:26 +0100

oprofile (0.9.6-1ubuntu6) maverick; urgency=low

  * No change rebuild for binutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 14:39:59 +0100

oprofile (0.9.6-1ubuntu5) maverick; urgency=low

  * Rebuild for binutils from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Apr 2010 23:25:13 +0000

oprofile (0.9.6-1ubuntu4) lucid; urgency=low

  * Rebuild with binutils (>= 2.20.1-3ubuntu2).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2010 03:44:52 +0200


