=== debian/control ===
Source: oprofile
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LIU Qi <liuqi82@gmail.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Standards-Version: 3.9.3
Build-Depends:
 automake1.10,
 binutils-dev (>= 2.18~cvs20070812),
 debhelper (>= 7),
 docbook-xml,
 docbook-xsl,
 g++ (>>3.3.1),
 libpopt-dev,
 libqt4-dev,
 libtool,
 libx11-dev,
 pkg-config,
 qt4-dev-tools,
 xsltproc,
 zlib1g-dev
Homepage: http://oprofile.sourceforge.net
Vcs-Browser: http://git.printk.org/?p=liuqi/debian/oprofile.git;a=summary
Vcs-git: git://git.printk.org/liuqi/debian/oprofile.git

Package: oprofile
Architecture: alpha amd64 arm armel arm64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
Conflicts:
 oprofile-modules0.2,
 oprofile-modules0.3,
 oprofile-modules0.4,
 oprofile-modules0.5,
 oprofile-modules0.6,
 oprofile-modules0.7,
 oprofile-modules0.8
Depends:
 adduser,
 debconf | debconf-2.0,
 libopagent1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: oprofile-common
Recommends: binutils
Suggests: oprofile-gui
Description: system-wide profiler for Linux systems
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.
 .
 OProfile leverages the hardware performance counters of the CPU to
 enable profiling of a wide variety of interesting statistics, which
 can also be used for basic time-spent profiling. All code is profiled:
 hardware and software interrupt handlers, kernel modules, the kernel,
 shared libraries, and applications (the only exception being the
 OProfile interrupt handler itself). Note that different architectures
 can use different hardware mechanisms to collect data.
 .
 OProfile is currently in alpha status; however it has proven stable over
 a large number of differing configurations. As always, there is no warranty.

Package: libopagent1
Architecture: alpha amd64 arm armel arm64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: oprofile (<< 0.9.6-1ubuntu1)
Description: system-wide profiler for Linux systems (opagent runtime library)
 OProfile is a performance profiling tool for Linux systems, capable
 of profiling all running code at low overhead.  It consists of a
 daemon for collecting sample data, plus several post-profiling tools
 for turning data into information.
 .
 This package contains the opagent runtime library.

Package: oprofile-gui
Architecture: alpha amd64 arm armel arm64 hppa i386 ia64 mips mipsel powerpc ppc64 s390 sparc
Replaces: oprofile
Depends: debconf | debconf-2.0, oprofile, ${misc:Depends}, ${shlibs:Depends}
Recommends: binutils
Description: system-wide profiler for Linux systems (GUI components)
 This package contains only the GUI components of the oprofile package.
 This allows oprofile to be used on machines that require a much
 smaller footprint, or that do not wish to use an X Windows interface.
